Skip to Content
avatar image
Former Member

cannot run ID and ESR with new laptop

hello everybody!

I have a big problem.

I changed laptop and i cannot work with SAP PI integration environement.

My new PC have windows 7 and explorer10 (but i tried to use also firefox).

When i try to lunch IB or ESB i have a pup up:

Do you want run this application?

name: Integration directory

Publisher : SAP AG

from: http://........./*.jar

And when i press RUN buttom i have a new popup with a new jar file. And this happen for all jar file. After 100 popup i decided to stop.

What's happened? how can i disable it?

thanks a lot

Alex

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Best Answer
    May 03, 2013 at 09:18 AM

    Hi Ravi,

    This is java problem. install new java software 6 or 9 versions.

    check the IE versions IE 8 it should be.

    one more option:-

    open your ESR and ID through mozilla firefox and check it.

    Regards,

    Kesava

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    May 03, 2013 at 08:54 AM

    Alex,

    Try below,

    1. go to control panel -> java-> Network settings (General tab) -> select Direct connect

    2 go to control panel -> java-> Network settings (General tab) -> select use proxy server (if you are working from remote network).

    Regards

    Hari.

    Add comment
    10|10000 characters needed characters exceeded

  • May 03, 2013 at 09:07 AM

    I have the same configuration (windows 7, internet explorer 10).

    I did download the java version 1.5.0_22 because java 1.7 Always give problems and even with 1.6 some functionalities are not working in PI.

    Now configure to use java 1.5 when starting PI.

    When I had java 1.6 installed it was working with above actions.

    However when I had the last update of java 1.7, it was not working anymore.

    I could not start PI with java 1.5 anymore. Now I use command files (created by my colleague) to force PI to start with 1.5 in stead of 1.7 and everything is working fine again.

    The command file will look something like this:

    ***************************************************

    @Echo OFF
    Goto :START

    *** Hi,
    *** Populate repOrDir with "rep", "dir", or "both".
    *** it's case INsensitive, so REP or Rep etc will do.


    :START

    set server=    server name
    set domain=    .domain.local
    set port=      :51000
    set repOrDir=  REP
    set javawsDir= "\Program Files (x86)\Java\jre1.5.0_22\bin"

    StartRepAndDir %server% %domain% %port% %repOrDir% %javawsDir%

    *****************************************************************

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      In my last laptop i had java 1.7 and windows XP.

      I never had problems to work with PI.

      Yesterday too i worked in a different project (PI 7.0) with new PC and there i worked without problem.

      Here with PI 7.1 i have this problem.